<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
ChangeState Method (IEdmBatchChangeState)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchChangeState Interface : ChangeState Method (IEdmBatchChangeState)

Visual Basic
C#
C++/CLI

lParentWnd
  Parent window handle that is passed to add-ins that are notified about file state changes in the vault

poCallback
  Optional pointer to a class that implements IEdmCallback to receive progress information about the operation

Obsolete. Superseded by IEdmBatchChangeState4::ChangeState2.

# Syntax

Visual Basic |
--- | ---

    Sub ChangeState( _
       ByVal lParentWnd As System.Integer, _
       Optional ByVal poCallback As EdmCallback _
    )

C# |
--- | ---

    void ChangeState(
       System.int lParentWnd,
       EdmCallback poCallback
    )

C++/CLI |
--- | ---

    void ChangeState(
    &   System.int lParentWnd,
    &   EdmCallback^ poCallback
    )

#### Parameters

lParentWnd
  Parent window handle that is passed to add-ins that are notified about file state changes in the vault
poCallback
  Optional pointer to a class that implements IEdmCallback to receive progress information about the operation

# Remarks

Before calling this method, you must call IEdmBatchChangeState::CreateTree if changing states or IEdmBatchChangeState2::CreateTreeForRevoke if revoking transitions.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchChangeState Interface
IEdmBatchChangeState Members

# Availability

SOLIDWORKS PDM Professional 2009; for revoking a transition, SOLIDWORKS PDM Professional 2013